
%global meadversion 2.2.5
%global namedversion 2.2.5.redhat-7
%global meadalpha .redhat_7
%global meadrel .2
%global serial 17

%bcond_without mead

%define maven_version 2.2.5.redhat-7

Name:           glassfish-jaxb-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JAXB (JSR 222)
License:        GPLv2 with exceptions
Group:          Development/Java

%if %with mead
Source100: jaxb-project-2.2.5.redhat-7-scm-sources.zip
Source102: jaxb-xjc-2.2.5.redhat-7-javadoc.jar
Source103: jaxb-xjc-2.2.5.redhat-7-sources.jar
Source104: jaxb-xjc-2.2.5.redhat-7.jar
Source105: jaxb-xjc-2.2.5.redhat-7.pom
Source106: jaxb-project-2.2.5.redhat-7.pom
Source107: jaxb-impl-2.2.5.redhat-7.jar
Source108: jaxb-impl-2.2.5.redhat-7-javadoc.jar
Source109: jaxb-impl-2.2.5.redhat-7-sources.jar
Source110: jaxb-impl-2.2.5.redhat-7.pom
%endif

URL:            http://jaxb.java.net/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/glassfish-jaxb-eap6-%{namedversion}-%{release}-root

%description
JAXB (JSR 222).

%prep
%setup -q -n jaxb~version2 -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jaxb-impl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jaxb-impl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jaxb-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jaxb-impl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jaxb-xjc-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jaxb-xjc-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jaxb-xjc-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jaxb-xjc-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc License.txt
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jaxb-impl-%{namedversion}.jar
%{_javadir}/%{name}/jaxb-impl.jar
%{_javadir}/%{name}/jaxb-impl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jaxb-impl-sources.jar
%{_javadir}/%{name}/jaxb-xjc-%{namedversion}.jar
%{_javadir}/%{name}/jaxb-xjc.jar
%{_javadir}/%{name}/jaxb-xjc-%{namedversion}-sources.jar
%{_javadir}/%{name}/jaxb-xjc-sources.jar

%changelog
* Tue Oct 22 2013 David Walluck <dwalluck@redhat.com> 0:2.2.6-15.redhat_6
- convert to MEAD
- fix incorrect URL
- add sources jars
- add doc

* Wed May 01 2013 Permaine Cheung <pcheung@redhat.com> 0:2.2.5-14.redhat_5
- Wrap glassfish-jaxb-2.2.5-14.redhat_5.ep6.el6

* Wed Apr 10 2013 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-13.redhat_4
- Wrap glassfish-jaxb-2.2.5-13.redhat_4.ep6.el6

* Wed Apr 03 2013 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-11.redhat_4
- Wrap glassfish-jaxb-2.2.5-11.redhat_4.ep6.el6

* Mon Feb 11 2013 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-2.redhat_4
- Include sources in src.rpm

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:2.2.5-1
- release
